# Elevated

------

Elevated is the 4 kilobytes demo that I made together with Puryx (Christian Rønde) and Mentor (Rune L. H. Stubbe) from the demo group TBC, back in 2009. We won the Breakpoint 2009 demoparty in Bingen/Germany.

You can find the execurable binary on [Pouet](https://www.pouet.net/prod.php?which=52938), but here you have the source code for it.

You can read more about the production of Elevated here: [https://iquilezles.org/articles/function2009/](https://iquilezles.org/articles/function2009/)

## Usage

You will need to download [Crinkler](https://github.com/runestubbe/Crinkler/releases) and copy link.exe next to the solution file, at the root of the project folder.

You will need to download [Nasm](https://www.nasm.us) and do the same thing - copy nasm_w32 next to the solution file, at the root of the project folder.

Load the solution in Visual Studio, and build. The Debug configuration won't produce a 4 kilobytes demo, but can be use to debug things somehow more easily. The Release configuration will produce the 4 kilobyets demo (4065 bytes actualy)

constants.h is the file where you can pick the demo resolution. It's 1920x1080 by default, but as screens grow in size and GPUs in power, you might want to incrase that.

The demo uses DirectX 9 for rendering, but all relevant headers and libs are included in the project.


## Requirements

* [Visual Studio 2019](https://visualstudio.microsoft.com)
* [Crinkler](https://github.com/runestubbe/Crinkler/releases)
* [Nasm](https://www.nasm.us)

## License

* MIT license

## Credits

* puryx - Christian Rønde
* mentor - Rune L. H. Stubbe
* iq - Inigo Quilez


